# @(#) 1.5 nt/src/samples/staff/makefile.mak, odstaffpart, od96nt, odnt9712d 1/22/97 12:04:01 [ 3/21/97 17:38:16 ]
#
#====START_GENERATED_PROLOG======================================
#
#
#   COMPONENT_NAME: odother
#
#   CLASSES: none
#
#   ORIGINS: 27
#
#
#   (C) COPYRIGHT International Business Machines Corp. 1995,1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
#   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
#   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
#   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
#   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
#   OR PERFORMANCE OF THIS SOFTWARE.
#
#====END_GENERATED_PROLOG========================================

# ===================================================================
#                       StaffPart Makefile
# ===================================================================

# If you wish to add to the existing compile and link flags, you can
# do it with these macros

ExtraSOMCompileOptions =

ExtraCompileOptions =

ExtraLinkOptions =


# ===================================================================
# Subdirectories you want nmake to visit

#Subdirs = en_US de_DE es_ES fr_FR ja_JP pt_BR zh_CN zh_TW


# ===================================================================
# Targets

# IdlTargets = List all the idl other samples will want to see
# HdrTargets = List all the C++ headers other samples will want to see
# LibTargets = List all export libraries to be built
# DllTargets = List all shared libraries to be built


IdlTargets = iodstaff.idl

HdrTargets =

LibTargets = $(ODSRC)/lib/iodstaff.$(LibSuffix)

DllTargets = $(ODSRC)/dll/iodstaff.dll

RegMain=iodstaff.dll
RegIDL=iodstaff.idl
RegClassName=StaffPart
RegKind=StaffPart
FilesDlls=iodstaff.dll iodbasec.dll iodutils.dll
FilesIncs=$(IdlTargets) $(IdlTargets:.idl=.xh) $(HdrTargets)
FilesLibs=iodstaff.$(LibSuffix)
FilesCats=
FilesStationery=


# ===================================================================
# Common Inference Rules

# Platform.mak contains all the platform specific code to build the
# sample. Check it to verify which compiler the sample is using.

!include $(ODSRC)/src/Platform.mak


# ===================================================================
# Rules

staffObjList = iodstaff.$(Obj)

iodstaff.$(Obj) : iodstaff.xih

staffLibList = \
!IF "$(Platform)"=="win32"
        {$(LIB)}winmm.$(LibSuffix)  \
        {$(LIB)}msgdll.$(LibSuffix)   \
!ENDIF
        {$(LIB)}somtk.$(LibSuffix)  \
        {$(LIB)}iodutils.$(LibSuffix) \
        {$(LIB)}iodbasec.$(LibSuffix) \
        {$(LIB)}odcore.$(LibSuffix)   \
        {$(LIB)}oddatax.$(LibSuffix)  \
        {$(LIB)}odimagng.$(LibSuffix) \
        {$(LIB)}odlayout.$(LibSuffix) \
        {$(LIB)}odmsgcat.$(LibSuffix) \
        {$(LIB)}odstorag.$(LibSuffix) \
        {$(LIB)}odui.$(LibSuffix)     \
        {$(LIB)}odregsty.$(LibSuffix)



$(ODSRC)/dll/iodstaff.dll :  $(ODSRC)/lib/iodstaff.$(Exp) \
        $(staffLibList) \
        $(staffObjList)
        @$(BuildDll)


$(ODSRC)/lib/iodstaff.$(Def) :  iodstaff.$(Def)
        @$(BuildCopy)


$(ODSRC)/lib/iodstaff.$(LibSuffix) : \
!IFDEF CPPMAIN
        $(ODSRC)/lib/iodstaff.$(Def) \
!ENDIF
        $(staffObjList)
        @$(BuildLib)


# end of file
